using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Net;
using System.Text;
using System.Windows.Forms;

namespace Project
{
    public partial class fMain
    {
        delegate void ShowLotTextHandler(string value);
       
        delegate void UpdateDMTextHandler(string value1);
       
        void UpdateResultText(string value1)
        {
           
        }

        delegate void UpdateLabelTextHandler(Control ctl, string value);
        void UpdateLabelText(Control ctl, string value)
        {
            if (ctl.InvokeRequired)
            {
                ctl.BeginInvoke(new UpdateLabelTextHandler(UpdateLabelText), new object[] { ctl, value });
            }
            else
            {
                ctl.Text = value;
            }
        }
    }
}
